commit:     c039eb8c9bb2ff2b493cfa5be28fef4c2fdf4902
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 28 08:55:06 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Aug 28 08:55:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c039eb8c

app-editors/nano: Bump to version 2.8.7

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-editors/nano/Manifest          |  1 +
 app-editors/nano/nano-2.8.7.ebuild | 83 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/app-editors/nano/Manifest b/app-editors/nano/Manifest
index fe7d9f243fb..3d52e2d5e07 100644
--- a/app-editors/nano/Manifest
+++ b/app-editors/nano/Manifest
@@ -1,3 +1,4 @@
 DIST nano-2.7.5.tar.gz 2031723 SHA256 
226be22f46359007aa76499623739f4a7d5fa294a2899c70b21bc09b8d81d907 SHA512 
a5332a361c4d0d9d0a77ebb11cdcffa976bee4981d5665b2732a9e6d7a2997566d9345332f2e6e5cb74f0a81be4413f54ca8f719962ab10b32d7ec1c9271973c
 WHIRLPOOL 
bd28cde96896ad531bb499504bb1438b358b64e7f6080fa24758bee7c222b4d1df0c395d480d0cef54de8e78a7e457db403a9ef2d6a56033e65299b6d7f95634
 DIST nano-2.8.5.tar.gz 2795845 SHA256 
e2b929b24fba87f7a44285ce8d47af7170e379bee1bf2d04fbc728b7326a558a SHA512 
f59e32395b63e64afe8fa9c98785c53f9f841a1fce0677b8591c0f570b3bec24188b5f7acf4fb66cf41a83e0b3ba9436ca4abcfb861c27c7c24f4a5b7dd249db
 WHIRLPOOL 
bc83966f2f7e952115185e648fc77517dd31e0e9adace43b3543d5944f08000675a03de9bf9d2841993df86016a52720538a5e8579d35801dd8ffd0416253e17
 DIST nano-2.8.6.tar.gz 2812564 SHA256 
3725aa145880223b2c4d0b3fa08220e1633f2d341917f49d028e067fc12cce49 SHA512 
51a16cae4fd753a575690974759bd6277f81487c04b9e15018770f4333bcce2ef7f15c4d241973a3f993fc54978e5830fe59a59e2af1acd8639e81cb905219c5
 WHIRLPOOL 
d3eabdf47feed6849e0d67adaa9ac102f298ddf415c039c5f9a62a72afe6aa8763a8d3164e58844a235c940840fbfe35af43722f52a819fd2a02e8065c58f175
+DIST nano-2.8.7.tar.gz 2822417 SHA256 
a49a888c20f09a17c7f1049d1fda619472c92eedcb25fd4be5f088a51cc392a5 SHA512 
511b57f8fe82872827829bca91f7a8666a6ee75924cf2c853332ddd0467abf281c6d3cbaa5dd208c579cbace5bef23d36bd7b62be116aa2175262ed1d15aaf79
 WHIRLPOOL 
41a2f048478285dad936df7aeb799ec9c5b4a3e508a7132e5b1d71e1d98026bf34feed27fe055410b4d920c9b8ffdc6e1fb0fc16dbc583028fcf271cace69328

diff --git a/app-editors/nano/nano-2.8.7.ebuild 
b/app-editors/nano/nano-2.8.7.ebuild
new file mode 100644
index 00000000000..4463df57a3e
--- /dev/null
+++ b/app-editors/nano/nano-2.8.7.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils flag-o-matic
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="git://git.sv.gnu.org/nano.git"
+       inherit git-r3 autotools
+else
+       MY_P=${PN}-${PV/_}
+       SRC_URI="https://www.nano-editor.org/dist/v${PV:0:3}/${MY_P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux 
~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="GNU GPL'd Pico clone with more functionality"
+HOMEPAGE="https://www.nano-editor.org/ 
https://wiki.gentoo.org/wiki/Nano/Basics_Guide";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug justify +magic minimal ncurses nls slang +spell static unicode"
+
+LIB_DEPEND=">=sys-libs/ncurses-5.9-r1:0=[unicode?]
+       sys-libs/ncurses:0=[static-libs(+)]
+       magic? ( sys-apps/file[static-libs(+)] )
+       nls? ( virtual/libintl )
+       !ncurses? ( slang? ( sys-libs/slang[static-libs(+)] ) )"
+RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )
+       virtual/pkgconfig
+       static? ( ${LIB_DEPEND} )"
+
+src_prepare() {
+       if [[ ${PV} == "9999" ]] ; then
+               eautoreconf
+       fi
+       default
+}
+
+src_configure() {
+       use static && append-ldflags -static
+       local myconf=(
+               --bindir="${EPREFIX}"/bin
+               --htmldir=/trash
+               $(use_enable !minimal color)
+               $(use_enable !minimal multibuffer)
+               $(use_enable !minimal nanorc)
+               --disable-wrapping-as-root
+               $(use_enable magic libmagic)
+               $(use_enable spell speller)
+               $(use_enable justify)
+               $(use_enable debug)
+               $(use_enable nls)
+               $(use_enable unicode utf8)
+               $(use_enable minimal tiny)
+               $(usex ncurses --without-slang $(use_with slang))
+       )
+       case ${CHOST} in
+               *-gnu*|*-uclibc*) myconf+=( "--with-wordbounds" ) ;; #467848
+       esac
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       rm -rf "${D}"/trash
+
+       dodoc doc/sample.nanorc
+       docinto html
+       dodoc doc/faq.html
+       insinto /etc
+       newins doc/sample.nanorc nanorc
+       if ! use minimal ; then
+               # Enable colorization by default.
+               sed -i \
+                       -e '/^# include /s:# *::' \
+                       "${ED%/}"/etc/nanorc || die
+       fi
+
+       dodir /usr/bin
+       dosym ../../bin/nano /usr/bin/nano
+}

Reply via email to